package cn.iocoder.yudao.module.llm.service.modelassesstaskautoinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.llm.controller.admin.modelassesstaskauto.vo.ModelAssessTaskAutoInfoPageReqVO;
import cn.iocoder.yudao.module.llm.controller.admin.modelassesstaskauto.vo.ModelAssessTaskAutoInfoSaveReqVO;
import cn.iocoder.yudao.module.llm.dal.dataobject.modelassesstaskautoinfo.ModelAssessTaskAutoInfoDO;
import cn.iocoder.yudao.module.llm.dal.mysql.modelassesstaskautoinfo.ModelAssessTaskAutoInfoMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;
import java.util.List;

/**
 * 模型评估任务 —— 自动评估-详细内容 Service 实现类
 *
 * @author 华大大模型
 */
@Service
@Validated
public class ModelAssessTaskAutoInfoServiceImpl implements ModelAssessTaskAutoInfoService {

    @Resource
    private ModelAssessTaskAutoInfoMapper modelAssessTaskAutoInfoMapper;

    @Override
    public Long createModelAssessTaskAutoInfo(ModelAssessTaskAutoInfoSaveReqVO createReqVO) {
        // 插入
        ModelAssessTaskAutoInfoDO modelAssessTaskAutoInfo = BeanUtils.toBean(createReqVO, ModelAssessTaskAutoInfoDO.class);
        modelAssessTaskAutoInfoMapper.insert(modelAssessTaskAutoInfo);
        // 返回
        return modelAssessTaskAutoInfo.getId();
    }

    @Override
    public void updateModelAssessTaskAutoInfo(ModelAssessTaskAutoInfoSaveReqVO updateReqVO) {
        // 更新
        ModelAssessTaskAutoInfoDO updateObj = BeanUtils.toBean(updateReqVO, ModelAssessTaskAutoInfoDO.class);
        modelAssessTaskAutoInfoMapper.updateById(updateObj);
    }

    @Override
    public void deleteModelAssessTaskAutoInfo(Long id) {
        // 删除
        modelAssessTaskAutoInfoMapper.deleteById(id);
    }



    @Override
    public ModelAssessTaskAutoInfoDO getModelAssessTaskAutoInfo(Long id) {
        return modelAssessTaskAutoInfoMapper.selectById(id);
    }

    @Override
    public PageResult<ModelAssessTaskAutoInfoDO> getModelAssessTaskAutoInfoPage(ModelAssessTaskAutoInfoPageReqVO pageReqVO) {
        return modelAssessTaskAutoInfoMapper.selectPage(pageReqVO);
    }

    @Override
    public List<ModelAssessTaskAutoInfoDO> getListByTaskId(ModelAssessTaskAutoInfoPageReqVO pageReqVO) {
        LambdaQueryWrapper<ModelAssessTaskAutoInfoDO> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ModelAssessTaskAutoInfoDO::getTaskId,pageReqVO.getTaskId());
        return modelAssessTaskAutoInfoMapper.selectList(queryWrapper);


    }

}
